com.mockobjects

## Class ExpectationDoubleValue

- java.lang.Object
- - com.mockobjects.AbstractExpectation
  - - com.mockobjects.ExpectationDoubleValue

All Implemented Interfaces:
  Expectation, Verifiable

    public class ExpectationDoubleValue
    extends AbstractExpectation

### Constructor Summary

Constructors
Constructor and Description
`ExpectationDoubleValue(java.lang.String name)`

### Method Summary

Methods
`void` `clearActual()`
`void` `setActual(double value)`
`void` `setExpected(double value, double error)`
`void` `setExpectNothing()` Tell the object to expect nothing to happen to it, perhaps because the test is exercising the handling of an error.
`void` `verify()` Throw an AssertionFailedException if any expectations have not been met.

### Methods inherited from class com.mockobjects.AbstractExpectation

`hasExpectations, setFailOnVerify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExpectationDoubleValue

    public ExpectationDoubleValue(java.lang.String name)

### Method Detail

#### clearActual

    public void clearActual()

Specified by:
  `clearActual` in class `AbstractExpectation`

#### setActual

    public void setActual(double value)

#### setExpected

    public void setExpected(double value,
                   double error)

#### setExpectNothing

    public void setExpectNothing()

Description copied from interface: `Expectation`
Tell the object to expect nothing to happen to it, perhaps because the test is exercising the handling of an error. The Expectation will fail if any actual values are set. Note that this is not the same as not setting any expectations, in which case verify() will do nothing.

#### verify

    public void verify()

Description copied from interface: `Verifiable`
Throw an AssertionFailedException if any expectations have not been met.

Specified by:
  `verify` in interface `Verifiable`
Specified by:
  `verify` in class `AbstractExpectation`